Per-app activity feed
GET /apps/{slug}/activity
GET
/apps/{slug}/activity
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” slug
required
string
App slug (lowercase, dash-separated).
Query Parameters
Section titled “Query Parameters ” categories
string
Comma-separated category filter (compose, deploy, endpoint, backup, alert, webhook, registry, access, lifecycle).
limit
integer
before
integer
Cursor — return entries with id < before.
Responses
Section titled “ Responses ”Activity entries.
object
entries
Array<object>
object
id
integer format: int64
app_slug
string
actor_name
string
actor_source
string
ip
string
category
string
action
string
target
string
summary
string
error
string
compose_version_id
integer format: int64
sync_status
string
sync_commit_sha
string
sync_error
string
before_json
Only returned by GET /activity/{id}.
object
after_json
Only returned by GET /activity/{id}.
object
created_at
string format: date-time
next_before
Pass as before= in next request for pagination. Null when no more entries.
integer format: int64